<form
  class="teo-login-form"
  novalidate
  #form="ngForm"
  (submit)="onSubmit($event, form)"
>
  <h2 class="title">Log In to Your Account</h2>
  <mat-form-field class="is-fullwidth">
    <input
      matInput
      type="text"
      ngModel
      name="username"
      required
      placeholder="Username"
    />
  </mat-form-field>

  <mat-form-field class="is-fullwidth">
    <input
      matInput
      type="password"
      ngModel
      name="password"
      required
      placeholder="Password"
    />
  </mat-form-field>
  <div class="field">
    <span><a [routerLink]="['/register']">Forgot password?</a></span>
  </div>
  <div class="field">
    <button class="button teo-btn is-fullwidth is-primary" type="submit">
      SIGN IN
    </button>
  </div>
  <br />
  <div class="field">
    <span>Not a member? <a [routerLink]="['/auth/register']">Join us</a> now</span>
  </div>
  <hr *ngIf="false" />
  <div *ngIf="false" class="field">
    <a href="#">Forgot password</a>
  </div>
</form>
